Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.objexcel.irc
Class IRCMessageAdapter

    java.lang.Object
      |
      +--com.objexcel.irc.IRCMessageAdapter

public class IRCMessageAdapter
extends java.lang.Object
implements IRCMessageListener

IRCMessageAdapter lets you implement IRCMessageListener when you don't want to implement all the event bodies.

Field Summary
`java.lang.String` | `actorInterest` the actor this object is interested in.
`java.lang.String` | `channelInterest` the channel this object is interested in.

Constructor Summary
`IRCMessageAdapter()`
`IRCMessageAdapter(java.lang.String _actorInterest, java.lang.String _channelInterest)` indicate which actor and/or room you are interested in here.

Method Summary
`java.lang.String` | `getActorInterest()`
`java.lang.String` | `getChannelInterest()`
`void` | `onChannelMode(IRCMessage message, java.lang.String channel, char change, java.lang.String modeString, int modeMask, int limit, java.lang.String[] operators, java.lang.String[] banned, java.lang.String[] voiced)`
`void` | `onCTCPAction(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPClientInfo(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPDCCChat(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, long address, int port)`
`void` | `onCTCPDCCSend(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String file, long address, int port, int fileSize)`
`void` | `onCTCPErrMsg(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPFinger(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPMessage(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sTag, java.lang.String sData)`
`void` | `onCTCPPing(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPSource(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPTime(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPUnrecognisedTag(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sTag, java.lang.String sData)`
`void` | `onCTCPUserInfo(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onCTCPVersion(IRCMessage m, boolean bNotice, java.lang.String actor, java.util.Hashtable victims, java.lang.String sData)`
`void` | `onEndOfNames(IRCMessage m, java.lang.String channel)`
`void` | `onIsOn(IRCMessage message, java.lang.String[] nicks)`
`void` | `onJoin(IRCMessage m, java.lang.String nickname, java.util.Hashtable channels, java.lang.String[] keys)`
`void` | `onKick(IRCMessage m, java.lang.String channel, java.lang.String nick, java.lang.String msg)`
`void` | `onList(IRCMessage m, java.lang.String channel, int visible, java.lang.String topic)`
`void` | `onListenerRemoved()`
`void` | `onMessage(IRCMessage m)`
`void` | `onNames(IRCMessage m, java.lang.String channel, java.lang.String[] nicks)`
`void` | `onNick(IRCMessage m, java.lang.String oldnick, java.lang.String newnick, int hopcount)`
`void` | `onNotice(IRCMessage m, java.lang.String actor, java.lang.String victim, java.lang.String msg)`
`void` | `onObjircInfo(IRCMessage m, int level, java.lang.String errMsg)`
`void` | `onPart(IRCMessage m, java.lang.String nick, java.util.Hashtable channels)`
`void` | `onPing(IRCMessage m, java.lang.String pingServer1, java.lang.String pingServer2)`
`void` | `onPrivMsg(IRCMessage m, java.lang.String actor, java.util.Hashtable victims, java.lang.String msg)`
`void` | `onQuit(IRCMessage m, java.lang.String nick, java.lang.String quitmsg)`
`void` | `onSessionConnecting(java.lang.String server)`
`void` | `onSessionStarted(java.lang.String server)`
`void` | `onSessionTerminated(java.lang.String server)`
`void` | `onSyntaxError(IRCMessage m, java.lang.String errMsg)`
`void` | `onTopic(IRCMessage m, java.lang.String channel, java.lang.String topic)`
`void` | `onUnrecognisedMessage(IRCMessage m)`
`void` | `onUserMode(IRCMessage message, java.lang.String user, char change, java.lang.String modeString, int modeMask)`
`void` | `onWho(IRCMessage message, java.lang.String channel, java.lang.String user, java.lang.String host, java.lang.String server, java.lang.String nick, char hereOrGone, boolean bIRCOp, char opPrefix, int hopCount, java.lang.String realName)`
`void` | `onWhoIsChannels(IRCMessage message, java.lang.String nick, java.lang.String[] prefixedChannels)`
`void` | `onWhoIsIdle(IRCMessage message, java.lang.String nick, int secondsIdle, java.util.Date joined)`
`void` | `onWhoIsOperator(IRCMessage message, java.lang.String nick)`
`void` | `onWhoIsServer(IRCMessage message, java.lang.String nick, java.lang.String server, java.lang.String serverInfo)`
`void` | `onWhoIsUser(IRCMessage message, java.lang.String nick, java.lang.String user, java.lang.String host, java.lang.String realName)`
`void` | `onWhoWasUser(IRCMessage message, java.lang.String nick, java.lang.String user, java.lang.String host, java.lang.String realName)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### channelInterest

    public java.lang.String channelInterest

  the channel this object is interested in. null if any

### actorInterest

    public java.lang.String actorInterest

  the actor this object is interested in. null if any

Constructor Detail

### IRCMessageAdapter

    public IRCMessageAdapter()

### IRCMessageAdapter

    public IRCMessageAdapter(java.lang.String _actorInterest,
                             java.lang.String _channelInterest)

  indicate which actor and/or room you are interested in here. null for any

Method Detail

### getChannelInterest

    public java.lang.String getChannelInterest()

  Specified by:
    getChannelInterest in interface IRCMessageListener

### getActorInterest

    public java.lang.String getActorInterest()

  Specified by:
    getActorInterest in interface IRCMessageListener

### onPrivMsg

    public void onPrivMsg(IRCMessage m,
                          java.lang.String actor,
                          java.util.Hashtable victims,
                          java.lang.String msg)
                   throws java.lang.Exception

  Specified by:
    onPrivMsg in interface IRCMessageListener

### onPing

    public void onPing(IRCMessage m,
                       java.lang.String pingServer1,
                       java.lang.String pingServer2)
                throws java.lang.Exception

  Specified by:
    onPing in interface IRCMessageListener

### onSessionConnecting

    public void onSessionConnecting(java.lang.String server)
                             throws java.lang.Exception

  Specified by:
    onSessionConnecting in interface IRCMessageListener

### onSessionStarted

    public void onSessionStarted(java.lang.String server)
                          throws java.lang.Exception

  Specified by:
    onSessionStarted in interface IRCMessageListener

### onSessionTerminated

    public void onSessionTerminated(java.lang.String server)
                             throws java.lang.Exception

  Specified by:
    onSessionTerminated in interface IRCMessageListener

### onListenerRemoved

    public void onListenerRemoved()
                           throws java.lang.Exception

  Specified by:
    onListenerRemoved in interface IRCMessageListener

### onObjircInfo

    public void onObjircInfo(IRCMessage m,
                             int level,
                             java.lang.String errMsg)
                      throws java.lang.Exception

  Specified by:
    onObjircInfo in interface IRCMessageListener

### onMessage

    public void onMessage(IRCMessage m)
                   throws java.lang.Exception

  Specified by:
    onMessage in interface IRCMessageListener

### onUnrecognisedMessage

    public void onUnrecognisedMessage(IRCMessage m)
                               throws java.lang.Exception

  Specified by:
    onUnrecognisedMessage in interface IRCMessageListener

### onSyntaxError

    public void onSyntaxError(IRCMessage m,
                              java.lang.String errMsg)
                       throws java.lang.Exception

  Specified by:
    onSyntaxError in interface IRCMessageListener

### onJoin

    public void onJoin(IRCMessage m,
                       java.lang.String nickname,
                       java.util.Hashtable channels,
                       java.lang.String[] keys)
                throws java.lang.Exception

  Specified by:
    onJoin in interface IRCMessageListener

### onPart

    public void onPart(IRCMessage m,
                       java.lang.String nick,
                       java.util.Hashtable channels)
                throws java.lang.Exception

  Specified by:
    onPart in interface IRCMessageListener

### onNick

    public void onNick(IRCMessage m,
                       java.lang.String oldnick,
                       java.lang.String newnick,
                       int hopcount)
                throws java.lang.Exception

  Specified by:
    onNick in interface IRCMessageListener

### onKick

    public void onKick(IRCMessage m,
                       java.lang.String channel,
                       java.lang.String nick,
                       java.lang.String msg)
                throws java.lang.Exception

  Specified by:
    onKick in interface IRCMessageListener

### onQuit

    public void onQuit(IRCMessage m,
                       java.lang.String nick,
                       java.lang.String quitmsg)
                throws java.lang.Exception

  Specified by:
    onQuit in interface IRCMessageListener

### onNotice

    public void onNotice(IRCMessage m,
                         java.lang.String actor,
                         java.lang.String victim,
                         java.lang.String msg)
                  throws java.lang.Exception

  Specified by:
    onNotice in interface IRCMessageListener

### onUserMode

    public void onUserMode(IRCMessage message,
                           java.lang.String user,
                           char change,
                           java.lang.String modeString,
                           int modeMask)
                    throws java.lang.Exception

  Specified by:
    onUserMode in interface IRCMessageListener

### onChannelMode

    public void onChannelMode(IRCMessage message,
                              java.lang.String channel,
                              char change,
                              java.lang.String modeString,
                              int modeMask,
                              int limit,
                              java.lang.String[] operators,
                              java.lang.String[] banned,
                              java.lang.String[] voiced)
                       throws java.lang.Exception

  Specified by:
    onChannelMode in interface IRCMessageListener

### onNames

    public void onNames(IRCMessage m,
                        java.lang.String channel,
                        java.lang.String[] nicks)
                 throws java.lang.Exception

  Specified by:
    onNames in interface IRCMessageListener

### onEndOfNames

    public void onEndOfNames(IRCMessage m,
                             java.lang.String channel)
                      throws java.lang.Exception

  Specified by:
    onEndOfNames in interface IRCMessageListener

### onTopic

    public void onTopic(IRCMessage m,
                        java.lang.String channel,
                        java.lang.String topic)
                 throws java.lang.Exception

  Specified by:
    onTopic in interface IRCMessageListener

### onList

    public void onList(IRCMessage m,
                       java.lang.String channel,
                       int visible,
                       java.lang.String topic)
                throws java.lang.Exception

  Specified by:
    onList in interface IRCMessageListener

### onWhoIsUser

    public void onWhoIsUser(IRCMessage message,
                            java.lang.String nick,
                            java.lang.String user,
                            java.lang.String host,
                            java.lang.String realName)
                     throws java.lang.Exception

  Specified by:
    onWhoIsUser in interface IRCMessageListener

### onWhoWasUser

    public void onWhoWasUser(IRCMessage message,
                             java.lang.String nick,
                             java.lang.String user,
                             java.lang.String host,
                             java.lang.String realName)
                      throws java.lang.Exception

  Specified by:
    onWhoWasUser in interface IRCMessageListener

### onWhoIsServer

    public void onWhoIsServer(IRCMessage message,
                              java.lang.String nick,
                              java.lang.String server,
                              java.lang.String serverInfo)
                       throws java.lang.Exception

  Specified by:
    onWhoIsServer in interface IRCMessageListener

### onWhoIsIdle

    public void onWhoIsIdle(IRCMessage message,
                            java.lang.String nick,
                            int secondsIdle,
                            java.util.Date joined)
                     throws java.lang.Exception

  Specified by:
    onWhoIsIdle in interface IRCMessageListener

### onWhoIsOperator

    public void onWhoIsOperator(IRCMessage message,
                                java.lang.String nick)
                         throws java.lang.Exception

  Specified by:
    onWhoIsOperator in interface IRCMessageListener

### onWhoIsChannels

    public void onWhoIsChannels(IRCMessage message,
                                java.lang.String nick,
                                java.lang.String[] prefixedChannels)
                         throws java.lang.Exception

  Specified by:
    onWhoIsChannels in interface IRCMessageListener

### onWho

    public void onWho(IRCMessage message,
                      java.lang.String channel,
                      java.lang.String user,
                      java.lang.String host,
                      java.lang.String server,
                      java.lang.String nick,
                      char hereOrGone,
                      boolean bIRCOp,
                      char opPrefix,
                      int hopCount,
                      java.lang.String realName)
               throws java.lang.Exception

  Specified by:
    onWho in interface IRCMessageListener

### onIsOn

    public void onIsOn(IRCMessage message,
                       java.lang.String[] nicks)
                throws java.lang.Exception

  Specified by:
    onIsOn in interface IRCMessageListener

### onCTCPAction

    public void onCTCPAction(IRCMessage m,
                             boolean bNotice,
                             java.lang.String actor,
                             java.util.Hashtable victims,
                             java.lang.String sData)
                      throws java.lang.Exception

  Specified by:
    onCTCPAction in interface IRCMessageListener

### onCTCPClientInfo

    public void onCTCPClientInfo(IRCMessage m,
                                 boolean bNotice,
                                 java.lang.String actor,
                                 java.util.Hashtable victims,
                                 java.lang.String sData)
                          throws java.lang.Exception

  Specified by:
    onCTCPClientInfo in interface IRCMessageListener

### onCTCPErrMsg

    public void onCTCPErrMsg(IRCMessage m,
                             boolean bNotice,
                             java.lang.String actor,
                             java.util.Hashtable victims,
                             java.lang.String sData)
                      throws java.lang.Exception

  Specified by:
    onCTCPErrMsg in interface IRCMessageListener

### onCTCPFinger

    public void onCTCPFinger(IRCMessage m,
                             boolean bNotice,
                             java.lang.String actor,
                             java.util.Hashtable victims,
                             java.lang.String sData)
                      throws java.lang.Exception

  Specified by:
    onCTCPFinger in interface IRCMessageListener

### onCTCPUserInfo

    public void onCTCPUserInfo(IRCMessage m,
                               boolean bNotice,
                               java.lang.String actor,
                               java.util.Hashtable victims,
                               java.lang.String sData)
                        throws java.lang.Exception

  Specified by:
    onCTCPUserInfo in interface IRCMessageListener

### onCTCPVersion

    public void onCTCPVersion(IRCMessage m,
                              boolean bNotice,
                              java.lang.String actor,
                              java.util.Hashtable victims,
                              java.lang.String sData)
                       throws java.lang.Exception

  Specified by:
    onCTCPVersion in interface IRCMessageListener

### onCTCPSource

    public void onCTCPSource(IRCMessage m,
                             boolean bNotice,
                             java.lang.String actor,
                             java.util.Hashtable victims,
                             java.lang.String sData)
                      throws java.lang.Exception

  Specified by:
    onCTCPSource in interface IRCMessageListener

### onCTCPTime

    public void onCTCPTime(IRCMessage m,
                           boolean bNotice,
                           java.lang.String actor,
                           java.util.Hashtable victims,
                           java.lang.String sData)
                    throws java.lang.Exception

  Specified by:
    onCTCPTime in interface IRCMessageListener

### onCTCPPing

    public void onCTCPPing(IRCMessage m,
                           boolean bNotice,
                           java.lang.String actor,
                           java.util.Hashtable victims,
                           java.lang.String sData)
                    throws java.lang.Exception

  Specified by:
    onCTCPPing in interface IRCMessageListener

### onCTCPUnrecognisedTag

    public void onCTCPUnrecognisedTag(IRCMessage m,
                                      boolean bNotice,
                                      java.lang.String actor,
                                      java.util.Hashtable victims,
                                      java.lang.String sTag,
                                      java.lang.String sData)
                               throws java.lang.Exception

  Specified by:
    onCTCPUnrecognisedTag in interface IRCMessageListener

### onCTCPDCCSend

    public void onCTCPDCCSend(IRCMessage m,
                              boolean bNotice,
                              java.lang.String actor,
                              java.util.Hashtable victims,
                              java.lang.String file,
                              long address,
                              int port,
                              int fileSize)
                       throws java.lang.Exception

  Specified by:
    onCTCPDCCSend in interface IRCMessageListener

### onCTCPDCCChat

    public void onCTCPDCCChat(IRCMessage m,
                              boolean bNotice,
                              java.lang.String actor,
                              java.util.Hashtable victims,
                              long address,
                              int port)
                       throws java.lang.Exception

  Specified by:
    onCTCPDCCChat in interface IRCMessageListener

### onCTCPMessage

    public void onCTCPMessage(IRCMessage m,
                              boolean bNotice,
                              java.lang.String actor,
                              java.util.Hashtable victims,
                              java.lang.String sTag,
                              java.lang.String sData)
                       throws java.lang.Exception

  Specified by:
    onCTCPMessage in interface IRCMessageListener

Overview | Package | Class | Tree | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD